import express, {type Router} from "express";
import UserGuard from "@validators/UserGuard";
import AdminGuard from "@validators/AdminGuard";


const router: Router = express.Router();

router.route('/login').post()
router.route('/register').post()

// PATCH
router.route('/me')
	.patch(UserGuard)

// GET
router.route('/me')
	.get(UserGuard)

// DELETE
router.route('/me')
	.delete(UserGuard)


// GET
router.route('/all')
	.get(AdminGuard)


// GET
router.route('/user/:targetId')
	.get(AdminGuard)
	.patch(AdminGuard)
	.delete(AdminGuard)


export default router